package com.gic.haoban.manage.web.controller;

import java.io.IOException;
import java.util.Date;
import java.util.List;
import java.util.stream.Collectors;

import javax.servlet.http.HttpServletResponse;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.hutool.core.collection.CollectionUtil;

import com.gic.api.base.commons.Page;
import com.gic.commons.util.GlobalVar;
import com.gic.enterprise.api.dto.StoreDTO;
import com.gic.enterprise.api.service.StoreService;
import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.base.api.common.PageResult;
import com.gic.haoban.common.utils.EntityUtil;
import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.api.dto.DepartmentDTO;
import com.gic.haoban.manage.api.dto.DictDTO;
import com.gic.haoban.manage.api.dto.EnterpriseDetailDTO;
import com.gic.haoban.manage.api.dto.YwWxEnterpriseDTO;
import com.gic.haoban.manage.api.service.DepartmentApiService;
import com.gic.haoban.manage.api.service.DictApiService;
import com.gic.haoban.manage.api.service.WxEnterpriseApiService;
import com.gic.haoban.manage.api.service.WxEnterpriseRelatedApiService;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;
import com.gic.haoban.manage.web.vo.EnterpriseDetailVo;

@RestController
public class DictController extends WebBaseController{
    private static final String LOGIN_URL = "/haoban-manage3-web/yw-login";
	private static Logger logger  = LoggerFactory.getLogger(DictController.class);

	@Autowired
	private WxEnterpriseApiService wxEnterpriseApiService;
	@Autowired
	private WxEnterpriseRelatedApiService wxEnterpriseRelatedApiService;
	@Autowired
	private DepartmentApiService departmentApiService;
	@Autowired
	private DictApiService dictApiService;
	//获取字典列表
	@RequestMapping("get-dict-list")
	public HaobanResponse getDictList(BasePageInfo pageInfo) {
		Page<DictDTO> page = dictApiService.pageList(pageInfo);
		return resultResponse(HaoBanErrCode.ERR_1,page);
	}
	//保存字典
	@RequestMapping("save-dict")
	public HaobanResponse saveDict(DictDTO dto) {
		dictApiService.saveDict(dto);
		return resultResponse(HaoBanErrCode.ERR_1);
	}
	//查看字典详情
	@RequestMapping("find-dict-detail")
	public HaobanResponse findDictDetail(String  dictId) {
		DictDTO dictDTO = dictApiService.findOneDict(dictId);
		return resultResponse(HaoBanErrCode.ERR_1,dictDTO);
	}
	//删除字典
	@RequestMapping("del-dict")
	public HaobanResponse deleteDict(String  dictId) {
		dictApiService.deleteOne(dictId);
		return resultResponse(HaoBanErrCode.ERR_1);
	}
}
